=== debian/changelog ===
pve-manager (8.3.0) bookworm; urgency=medium

  * ceph: drop preview flag for the Ceph Squid release

  * aplinfo: update TurnkeyLinux key after expiry

  * update shipped aplliance info index

  * ui: firewall rules: add empty text to grid

  * ui: sdn vnet, zone: add empty text to grids

  * ui: sdn: add VNET prefix to vnet-specific firewall navigation label

 -- Proxmox Support Team <support@proxmox.com>  Wed, 20 Nov 2024 11:39:37 +0100

pve-manager (8.2.10) bookworm; urgency=medium

  * ui: firewall: add sdn as valid scope to IP-set selector

  * ui: firewall: add forward direction to rule panel

  * ui: sdn: add firewall panel

  * ui: firewall: show warning when creating forward rules

  * ui: import: clarify working storage emptyText

  * change recommendation of pve-network packages to hard dependency, it's now
    pulled in by pve-firewall anyway

  * api: notifications: require powerful privileges for target management

 -- Proxmox Support Team <support@proxmox.com>  Tue, 19 Nov 2024 19:44:36 +0100

pve-manager (8.2.9) bookworm; urgency=medium

  * api/ui: improve mdev listing for PCI mappings. Extend the parameter for
    the PCI ID to accept both, PCI IDs or named mappings, and for the latter
    mappings, iterate over all local PCI devices in it and extract the mdev
    types.

  * ui: implement 'Tag View' for the resource tree, which groups guests by
    their tags. Guests with multiple tags are visible under each of them.
    Guests without tags and nodes and storages are added to the end of the
    tree.

  * ui: cloudinit: use cloudinit update api when regenerating images.

  * ui: cloudinit: avoid suggesting to unprivileged users that they can
    re-generate the image, disable the button in this case.

  * fix #5787: ui: display guest name in confirmation dialog for actions like
    start, stop, shut down, or converting to a template.

  * ui: lxc: add readonly option for device passthrough.

  * ui: lxc: add the "discard" mount option.

  * ui: expose the newly supported BZIP2 as available compressor for backups.

  * fix #5722: ui: api token: allow unprivileged users to create their own api
    tokens, they are self-service after all.

  * api: add routes for webhook notification endpoints.

  * ui: workspace/user view: change password minimum length to 8 to follow
    recent NIST recommendations.

  * ui: pool: dynamic status update every 10s in members screen

  * ui: pbs storage: fix reset behavior when editing existing entry

  * api/ui: include the node ha status in resources call and show as icon

  * ui: acme: switch cluster view items over to those from widget-toolkit

  * ui: tree: show tooltips for all entries that have sensible information

  * fix #3893: api/ui: node network: expose bridge VLAN IDs option to allow
    one to configure VLAN ranges, This can be useful for devices that support
    hardware offloading them, but only support a limited amount.

  * ui: remove experimental from change detection modes description

  * ui: add import content type for file-based storages to allow handling
    imports of OVA/OVF backed archives more conveniently.

  * ui: guest import: add storage selector for overriding the OVA staging
    storage for the temporary extraction.

  * ui: import: show size for dir-based storages

  * ui: enable upload/download/remove buttons for 'import' type storages

  * ui: qemu: add AMD SEV configuration to Options

  * fix #5879: ui: add tooltip to security group comments

  * fix #5810: ui: show confirmation/warning dialog for sdn apply

  * api: package repositories: add Ceph Squid to available repos

 -- Proxmox Support Team <support@proxmox.com>  Mon, 18 Nov 2024 23:20:04 +0100

pve-manager (8.2.8) bookworm; urgency=medium

  * fix #5734: provide missing methods for Proxmox.Utils for mobile UI

  * api: subscription update: report error if removing ceph-auth file fails

  * add module to centrally track Ceph release info for the backend

  * pveceph: prompt user on TTY about installing experimental version

  * ceph releases: add 19.2 Squid as available release, currently still as
    technology preview

  * fix #5753: api: add 'pstart' member to task status return schema

  * fix #5302: ui: vm cpu affinity displayed in hardware overview

  * fix typos in user visible strings

  * fix #5632: ui:storage: correct online help link of backup view

  * ui: ceph wizard: show hint for releases that are in tech-preview state

  * ui: ceph wizard: filter out enterprise repo for tech-preview releases

  * ui: ceph wizard: add Ceph 19.2 Squid as installable release

  * api: improve the API JSON schema of various API calls

 -- Proxmox Support Team <support@proxmox.com>  Thu, 24 Oct 2024 16:47:02 +0200

pve-manager (8.2.7) bookworm; urgency=medium

  * api: add missing schema annotations for download endpoints and adapt
    existing ones to renaming the respective property to 'download_allowed'.

  * pvesh: limit download handling to annotated endpoints to unify the
    behaviour with pve-http-server.

 -- Proxmox Support Team <support@proxmox.com>  Mon, 23 Sep 2024 11:43:24 +0200

pve-manager (8.2.6) bookworm; urgency=medium

  * fix #5731: vzdump jobs: fix execution of converted jobs

 -- Proxmox Support Team <support@proxmox.com>  Fri, 20 Sep 2024 17:47:17 +0200

pve-manager (8.2.5) bookworm; urgency=medium

  * ui: qemu hardware: use background delay for asynchronous remove tasks so
    that the task log window doesn't get shown if the task already finished.

  * ui: qemu hardware: use asynchronous remove API call for disk hot-unplug to
    expand the task duration timeout from 30 seconds to 10 minutes, helping
    overloaded and/or slow systems.

  * vzdump config: add fleecing property string to make it clear that fleecing
    can be configured as a node-wide default too.

  * ui: fix align mode of the two-column container widget, which is used for
    the advanced tab of the backup job edit window.


