=== debian/control ===
Source: pve-manager
Section: admin
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libapt-pkg-perl,
               libfile-readbackwards-perl,
               libhttp-daemon-perl,
               libpod-parser-perl,
               libproxmox-acme-perl,
               libproxmox-rs-perl (>= 0.3.4),
               libpve-access-control (>= 8.0.7),
               libpve-cluster-api-perl,
               libpve-cluster-perl (>= 6.1-6),
               libpve-common-perl (>= 8.2.3),
               libpve-guest-common-perl (>= 5.1.1),
               libpve-http-server-perl (>= 2.0-12),
               libpve-notify-perl,
               libpve-rs-perl (>= 0.8.10),
               libpve-storage-perl (>= 6.3-2),
               libtemplate-perl,
               libtest-mockmodule-perl,
               lintian,
               proxmox-widget-toolkit (>= 4.1.4),
               pve-cluster,
               pve-container,
               pve-doc-generator (>= 8.0.5),
               pve-eslint (>= 7.28.0),
               qemu-server (>= 8.0~~),
               sq,
               unzip,
Standards-Version: 4.6.1
Maintainer: Proxmox Support Team <support@proxmox.com>

Package: pve-manager
Section: admin
Priority: optional
Architecture: all
Depends: apt (>= 1.5~),
         ca-certificates,
         cstream,
         dtach,
         fonts-font-awesome,
         fonts-font-logos,
         gdisk,
         hdparm,
         libapt-pkg-perl,
         libcrypt-ssleay-perl,
         libfile-readbackwards-perl,
         libfilesys-df-perl,
         libjs-extjs (>= 7.0.0),
         libjs-qrcodejs (>= 1.20201119),
         libjs-sencha-touch,
         libjson-perl,
         liblwp-protocol-https-perl,
         libnet-dns-perl,
         libproxmox-acme-perl,
         libproxmox-acme-plugins,
         libproxmox-rs-perl (>= 0.3.4),
         libpve-access-control (>= 8.1.3),
         libpve-cluster-api-perl (>= 7.0-5),
         libpve-cluster-perl (>= 7.2-3),
         libpve-common-perl (>= 8.2.6),
         libpve-guest-common-perl (>= 5.1.4),
         libpve-http-server-perl (>= 5.1.1),
         libpve-network-perl (>= 0.9~),
         libpve-network-api-perl (>= 0.9.9~),
         libpve-notify-perl (>= 8.0.5),
         libpve-rs-perl (>= 0.8.12),
         libpve-storage-perl (>= 8.2.8),
         librados2-perl (>= 1.3-1),
         libtemplate-perl,
         libterm-readline-gnu-perl,
         liburi-perl,
         libuuid-perl,
         libwww-perl (>= 6.04-1),
         logrotate,
         lzop,
         novnc-pve (>= 1.2.0-2~),
         pciutils,
         perl (>= 5.10.0-19),
         postfix | mail-transport-agent,
         proxmox-mail-forward,
         proxmox-mini-journalreader (>= 1.3-1),
         proxmox-widget-toolkit (>= 4.3.0),
         pve-cluster (>= 8.0.5),
         pve-container (>= 5.1.11),
         pve-docs (>= 8.0~~),
         pve-firewall,
         pve-ha-manager,
         pve-i18n (>= 3.2.0~),
         pve-xtermjs (>= 4.7.0-1),
         qemu-server (>= 8.2.7),
         rsync,
         spiceterm,
         systemd,
         vncterm,
         wget,
         zstd,
         ${misc:Depends},
         ${perl:Depends},
Recommends: proxmox-firewall,
            proxmox-offline-mirror-helper,
Conflicts: vlan, vzdump,
Replaces: vlan, vzdump,
Provides: vlan, vzdump,
Breaks: libpve-network-perl (<< 0.5-1),
Description: Proxmox Virtual Environment Management Tools
 This package contains the Proxmox Virtual Environment management tools.
