=== bin/Makefile ===
--- 
+++ 
@@ -23,7 +23,8 @@
 	pveupgrade		\
 	pveupdate		\
 	pveperf			\
-	pvereport
+	pvereport		\
+	query-machine-info
 
 HELPERS =			\
 	pve-startall-delay	\
