=== configs/Makefile ===
--- 
+++ 
@@ -6,9 +6,9 @@
 	./country.pl > country.dat
 
 .PHONY: install
-install: country.dat vzdump.conf pve-sources.list pve-initramfs.conf pve-blacklist.conf pve.logrotate
+install: country.dat vzdump.conf pveport.list pve-initramfs.conf pve-blacklist.conf pve.logrotate
 	install -D -m 0644 pve.logrotate $(DESTDIR)/etc/logrotate.d/pve
-	install -D -m 0644 pve-sources.list ${DESTDIR}/etc/apt/sources.list.d/pveport.list
+	install -D -m 0644 pveport.list $(DESTDIR)/etc/apt/sources.list.d/pveport.list
 	install -D -m 0644 pve-blacklist.conf $(DESTDIR)/etc/modprobe.d/pve-blacklist.conf
 	install -D -m 0644 vzdump.conf $(DESTDIR)/etc/vzdump.conf
 	install -D -m 0644 pve-initramfs.conf $(DESTDIR)/etc/initramfs-tools/conf.d/pve-initramfs.conf
