=== services/Makefile ===
--- 
+++ 
@@ -13,7 +13,8 @@
 	pve-storage.target	\
 	pve-daily-update.service\
 	pve-daily-update.timer	\
-	pvescheduler.service
+	pvescheduler.service   \
+	pve-query-machine-info.service
 
 .PHONY: install
 install: $(SERVICES)
