=== PVE/API2/Makefile ===
--- 
+++ 
@@ -24,6 +24,7 @@
 	Subscription.pm		\
 	Tasks.pm		\
 	VZDump.pm		\
+	Ipmi.pm			\
 
 all:
