=== debian/changelog ===
pve-manager (8.3.2+port1) bookworm; urgency=medium
  
  * ui: add arch select when vm create and edit

  * api: add query machine info support
 
  * ui: Add more compatibility

 -- Jiangcuo <jiangcuo@lierfang.com>  Sat, 18 Jan 2025 13:17:28 +0800

pve-manager (8.3.2+port) bookworm; urgency=medium

  * ui: ovmf as default bios

 -- Jiangcuo <jiangcuo@lierfang.com>  Fri, 27 Dec 2024 05:23:21 +0800

pve-manager (8.3.2) bookworm; urgency=medium

  * api: network: add return schema for interface listing

  * ui: ceph pool: indentation clean-up

  * ui: ceph: don't set default size/min-size when editing existing pool

  * ui: ceph pool: add opt-in column for the configured pool application

  * ui: qemu: improve error handling and rendering the QGA provided IP
    addresses of the guest.

  * api: node status: complete API return schema

 -- Proxmox Support Team <support@proxmox.com>  Mon, 16 Dec 2024 17:52:29 +0100

pve-manager (8.3.1+port1) bookworm; urgency=medium

  * Fix pveport.list on loongarch64 and arm64

 -- Jiangcuo <jiangcuo@lierfang.com>  Thu, 12 Dec 2024 19:27:43 +0800

pve-manager (8.3.1) bookworm; urgency=medium

  * ui: sdn firewall: add online help reference

  * ui: cluster join info: add clipboard icon to "Copy Information" button

  * external metric server: influxdb: always quote tags

  * api: notification targets: fix permission check for POST/PUT

 -- Proxmox Support Team <support@proxmox.com>  Fri, 29 Nov 2024 11:42:46 +0100
