=== debian/control ===
--- 
+++ 
@@ -29,20 +29,23 @@
                sq,
                unzip,
 Standards-Version: 4.6.1
-Maintainer: Proxmox Support Team <support@proxmox.com>
+Maintainer: Lierfang Team <itsupport@lierfang.com>
 
 Package: pve-manager
 Section: admin
 Priority: optional
-Architecture: all
+Architecture: any
 Depends: apt (>= 1.5~),
          ca-certificates,
          cstream,
+	 dmidecode,
          dtach,
          fonts-font-awesome,
          fonts-font-logos,
          gdisk,
          hdparm,
+	 jc,
+	 jq,
          libapt-pkg-perl,
          libcrypt-ssleay-perl,
          libfile-readbackwards-perl,
