=== debian/rules ===
#!/usr/bin/make -f

include debian/rules.env
export REPOID=${REPOID_GENERATED}

%:
	dh $@

override_dh_compress:
	dh_compress -Xaplinfo.dat -Xtrustedkeys.gpg

override_dh_strip_nondeterminism:
	dh_strip_nondeterminism -X.png

override_dh_fixperms:
	dh_fixperms -Xvar/log/pveproxy
